Page MenuHomeFreeBSD

devel/py-buildbot{-*}: Update to 1.5.0
ClosedPublic

Authored by koobs on Nov 3 2018, 6:04 AM.

Details

Summary
devel/py-buildbot{-*}: Update to 1.5.0

All ports (where necessary):

  - Fix and equalize *_DEPENDS (and specified versions) to setup.py
  - Match COMMENT to setup.py:description
  - Add commented LICENSE_FILE describing why its not defined

py-buildbot{-worker}:

  - Enable concurrent (Multiple Python version) installation
  - Update test targets to set PYTHONPATH, so that the package in WRKSRC
    is tested, not installed packages.

py-buildbot:

  - Remove post-patch target, no longer necessary
  - Add test dependency not declared in setup.py:test_requires, that cause
    tests to fail when not installed, unlike other dependencies that are
    skipped.
  - Add an un-referenced compulsory RUN_DEPENDS on pyyaml reported and
    resolved upstream [1]

py-buildbot-worker:

  - Update patch-setup.py to actually fix (package/install) the VERSION
    file, rather than just not installing it. The worker passes this files
    contents to the master for display in the frontend if it exists,
    otherwise sending the string 'latest' or the modification datestamp of
    another file. [1]
  - Fix startup script to use the filename of itself (the executed script),
    not a filename that uses the ${name} variable, which doesnt exist as it
    contains an underscore (not a dash), causing the following error when
    executed:
    
    /usr/local/etc/rc.d/buildbot-worker: /usr/local/etc/rc.d/buildbot_worker: not found
  
Changelog:

  http://docs.buildbot.net/current/relnotes/index.html#buildbot-1-5-0-2018-10-09

[1] https://github.com/buildbot/buildbot/pull/4394

Requested by: Tao Zhou <tao ish com au>
Reviewed_by: Nathan Owens, ???
Differential_Revision: D17821
Test Plan
  • portlint: OK (looks fine.)
  • testport: OK (poudriere: 12amd64{py27,36})
  • maketest: OK (minus one failure, fixed upstream [1])

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

koobs created this revision.Nov 3 2018, 6:04 AM
koobs edited the summary of this revision. (Show Details)Nov 3 2018, 6:05 AM
koobs edited the summary of this revision. (Show Details)
koobs edited the summary of this revision. (Show Details)Nov 3 2018, 6:08 AM
koobs updated this revision to Diff 49966.Nov 3 2018, 9:11 AM

devel/py-buildbot{-*}: Add extra TEST_DEPENDS, Fix test targets

Add a couple of test dependencies that arent declared in
setup.py:*_requires, but cause tests to fail if they're not
installed, unlike other dependencies that are skipped if not
installed.

Update test targets to set PYTHONPATH, so that the package
in WRKSRC is tested, not installed packages.

koobs edited the summary of this revision. (Show Details)Nov 3 2018, 9:14 AM
koobs edited the test plan for this revision. (Show Details)
ndowens_yahoo.com accepted this revision.Nov 3 2018, 5:02 PM
This revision is now accepted and ready to land.Nov 3 2018, 5:02 PM
0mp added a subscriber: 0mp.Nov 3 2018, 10:03 PM

Is there a reason why USE_PYTHON=concurrent is not added to every port?

devel/py-buildbot-console-view/Makefile
14 ↗(On Diff #49966)

I like this! We should do it in other ports, which do not include a license file in their releases.

devel/py-buildbot/Makefile
11 ↗(On Diff #49966)

Do you think that it would be nice to mention Buildbot in the COMMENT?

koobs marked 3 inline comments as done.Nov 4 2018, 4:11 AM
koobs added inline comments.
devel/py-buildbot/Makefile
11 ↗(On Diff #49966)

Technically that's not portlint/PH compliant (Dont include software name in the COMMENT) [1]

[1] https://www.freebsd.org/doc/en/books/porters-handbook/book.html#makefile-comment

I've left 'Buildbot' in the COMMENTS for plugins as:

  • they come as a set and are related/linked to the main framework/name.
  • match setup.py:description's exactly
  • would be much less meaningful without it
koobs updated this revision to Diff 49984.Nov 4 2018, 4:14 AM
koobs marked an inline comment as done.

py-buildbot{-worker} Update RUN_DEPENDS, Add patch comment

pyyaml is actually a compulsory RUN_DEPENDS (install_requires) for API
functionality, but was not referenced in setup.py. This has been reported and
resolved upstream [1].

Switch pyyaml from TEST_DEPENDS to RUN_DEPENDS accordingly.

[1] https://github.com/buildbot/buildbot/pull/4394

This revision now requires review to proceed.Nov 4 2018, 4:14 AM
koobs edited the summary of this revision. (Show Details)Nov 4 2018, 4:19 AM
koobs edited the test plan for this revision. (Show Details)
In D17821#381041, @0mp wrote:

Is there a reason why USE_PYTHON=concurrent is not added to every port?

Technically it can/should be, even in the long term being automatic. Nontheless, I've only added it here for the ports that install console scripts or man pages (things that need to be made unique) for explicitness.

koobs added a comment.Nov 6 2018, 11:03 AM

Ping @grembo @rodrigc would appreciate you both going over this even at first order, as you took care of the previous big 0.8->0.9 rename/update changes

ndowens_yahoo.com accepted this revision.Nov 7 2018, 2:49 AM

Looks good as is

This revision is now accepted and ready to land.Nov 7 2018, 2:49 AM
This revision was automatically updated to reflect the committed changes.